module Hoovie.Resource where

import Data.Time (UTCTime)

data Resource = Resource {
        reID                :: Int,
        reFilename          :: String,
        reTitle             :: String,
        reDate              :: UTCTime,
        reDuration          :: Int,
        reResolution        :: (Int, Int),
        reBitrate           :: Int,
        reAudioChannels     :: Int,
        reSampleFreq        :: Int
    } deriving (Eq, Ord, Show)

