module Hoovie.Util where

import Data.Maybe (listToMaybe)

import qualified Data.ByteString       as B
import qualified Data.ByteString.Char8 as BC

maybeRead :: Read b => String -> Maybe b
maybeRead a = fmap fst . listToMaybe . reads $ a

maybeReadBS :: B.ByteString -> Maybe Int
maybeReadBS a = fmap fst $ BC.readInt a

